using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace  Models
{
    /// <summary>
    /// 如果酒店旧编号  Idold   不为0  则表示同步过来的数据 
    /// </summary>

    [Table("TBL_HOTEL_BASIC_INFO")]
    public class TBL_HOTEL_BASIC_INFO
    {
        /// <summary>
        /// 酒店id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("酒店id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int HOTEL_ID { get; set; } 

        /// <summary>
        /// 项目编号
        /// </summary>

        [Required, Column(TypeName = "nvarchar(20)"), Comment("项目编号")]
        
        public string PROJECT_NUMBER { get; set; } = string.Empty;

        /// <summary>
        /// 酒店名称
        /// </summary>

        [Required, Column(TypeName = "nvarchar(100)"), Comment("酒店名称,简体中文,必要")]
        public string HOTEL_NAME_CN { get; set; } = string.Empty;


        [ Column(TypeName = "nvarchar(100)"), Comment("酒店名称-英文 ")]
        public string HOTEL_NAME_EN { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(100)"), Comment("酒店名称-繁中 ")]
        public string HOTEL_NAME_TW { get; set; } = string.Empty;


        /// <summary>
        /// 国家
        /// </summary>

        [Comment("国家"), Column(TypeName = "nvarchar(50)")]
        public string NATIONAL { get; set; } = string.Empty;

        /// <summary>
        /// 省
        /// </summary>

        [Comment("省"), Column(TypeName = "nvarchar(50)")]
        
        public string PROVICE { get; set; } = string.Empty;

        /// <summary>
        /// 市
        /// </summary>

        [Comment("市"), Column(TypeName = "nvarchar(50)")]
        
        public string CITY { get; set; } = string.Empty;

        /// <summary>
        /// 区
        /// </summary>

        [Comment("区"), Column(TypeName = "nvarchar(50)")]
        
        public string TOWN { get; set; } = string.Empty;

        /// <summary>
        /// 详细地址
        /// </summary>

        [Comment("详细地址"), Column(TypeName = "nvarchar(255)")]
        
        public string DETAIL_ADD { get; set; } = string.Empty;

        /// <summary>
        /// 录入人
        /// </summary>

        [Column(TypeName = "nvarchar(50)"), Comment("录入人")]
        
        public string KEY_Name { get; set; } = string.Empty;

        /// <summary>
        /// 录入人ID
        /// </summary>

        [Column(TypeName = "INT"), Comment("录入人id")]

        public int KEY_ID { get; set; } = 0;




        /// <summary>
        /// 录入时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("录入时间")]
        
        public DateTime KEY_IN_DATETIME { get; set; } = DateTime.Now;


        /// <summary>
        /// 是否授权 审核
        /// </summary>
        [Column(TypeName = "bit"), Comment("是否授权 审核")]
        public bool IsApprove { get; set; } = false;

        /// <summary>
        /// 审核人
        /// </summary>

        [Column(TypeName = "int"), Comment("审核人")]
        public int? APPROVE { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        
        [Column(TypeName = "datetime"), Comment("审核时间")]
        
        public DateTime? APPROVE_DATE { get; set; }

        /// <summary>
        /// 品牌
        /// </summary>
        
        [Comment("品牌"), Column(TypeName = "nvarchar(50)")]
        
        public string HOTEL_BRAND { get; set; } = string.Empty;

        /// <summary>
        /// 酒店分组
        /// </summary>

        [Comment("酒店分组"), Column(TypeName = "int")]
        
        public int HOTEL_GROUP { get; set; } = 0;

        /// <summary>
        /// Logo图片
        /// </summary>

        [Column(TypeName = "nvarchar(255)"), Comment("Logo图片")]
       
        public string LOG_IMAGE { get; set; } = string.Empty;

        /// <summary>
        /// 记录更新时间
        /// </summary>

        [Column(TypeName = "datetime"), Comment("记录更新时间")]

        public DateTime? UPDATE_TIMEMARK { get; set; } = DateTime.Now;

        /// <summary>
        /// 到期时间
        /// </summary>
        
        [Column(TypeName = "datetime"), Comment("到期时间")]


        public DateTime? VALID_DATETIME { get; set; }

        /// <summary>
        /// 有效状态
        /// </summary>

        [Required, Column(TypeName = "int"), Comment("状态")]
        public int VALID_STATUS { get; set; } = 0;



        /// <summary>
        /// 状态
        /// </summary>

        [Required, Column(TypeName = "int"), Comment("状态")]
        
        public int STATUS { get; set; } = 0;

        /// <summary>
        /// 销售人员
        /// </summary>

        [ Column(TypeName = "nvarchar(50)"), Comment("销售人员")]

        public string SALES { get; set; } = string.Empty;

        /// <summary>
        /// 销售人员电话
        /// </summary>

        [Column(TypeName = "nvarchar(50)"), Comment("销售人员电话")]

        public string SALES_PHONE { get; set; } = string.Empty;

        /// <summary>
        /// 酒店联系人
        /// </summary>

        [Column(TypeName = "nvarchar(50)"), Comment("酒店联系人")]

        public string HOTEL_CONTACT { get; set; } = string.Empty;

        /// <summary>
        /// 酒店联系人电话
        /// </summary>

        [Column(TypeName = "nvarchar(50)"), Comment("酒店联系人电话")]

        public string HOTEL_CONTACT_PHONE { get; set; } = string.Empty;

        /// <summary>
        /// 排序
        /// </summary>

        [ Column(TypeName = "int"), Comment("排序")]

        public int SORT { get; set; } = 0;

        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; } = String.Empty;


        /// <summary>
        ///  酒店编号 巫工  
        /// </summary>
        [Column(TypeName = "int"), Comment(" 酒店编号 巫工 ")]
        public int IDOLD { get; set; } = 0;//酒店编号

        /// <summary>
        ///  房型统一密码
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment(" 房型密码 ")]
        public string PASSWORD { get; set; } = "123456";// 房型编号  



        /// <summary> 
        ///  数据 是否在 巫工   库删除 0  未  1 已经删除   2 在系统删除
        /// </summary>
        [Column(TypeName = "int"), Comment("数据 是否在 巫工   库删除 0  未  1 已经删除   2 在系统删除")]
        public int IsDel { get; set; } = 0;



        /// <summary>
        /// 酒店分组 巫工
        /// </summary>

        [Comment("酒店分组 巫工"), Column(TypeName = "int")]

        public int HOTEL_OLD_GROUP { get; set; } = 0;



        //public int BRANDID { get; set; } = 0;       


    }
}
